exports.lineaa = function(navController) {

var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Linea A',
    backgroundColor: '#000',
    backgroundImage: 'a.png'
});


var etiqueta1 = Ti.UI.createLabel({
	top: 10,
	left: 10,
	text:'Origen: Pantitlan',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    //leftimage: 'linea.png'
});
win1.add(etiqueta1);

var etiqueta2 = Ti.UI.createLabel({
	top: 50,
	left: 10,
	text:'Destino : La Paz',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    leftimage: 'linea.png'
});
win1.add(etiqueta1);
win1.add(etiqueta2)


win1.activity.onCreateOptionsMenu = function(e) {
		var menu = e.menu;
		
		var m1 = menu.add({ title : 'Cerrar Ventana' });
		m1.addEventListener('click', function(e) {
			win1.close();
		});
	};

win1.activity.onPrepareOptionsMenu = function(e) {
		var menu = e.menu;
		
		var mi = menu.findItem(2);
		if (mi == null) {
			mi = menu.add({
				itemId : 2,
				order : 1,
				title : 'Mostrar Mapa Completo'
			});
			mi.addEventListener('click', function(e) {
				
				var linea10 = require('mapas/linea10').linea10;
				navController.open(new linea10(navController));
			});
		}
	};



var data = [
{title:"Pantitlan", color: '#000', leftImage: 'lineaa.png', rightImage: 'linea5.png', font:{fontSize:20}},
{title:"Agricola Oriental", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"Canal de San Juan", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"Tepalcates", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"Guelatao", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"Peñon Viejo",  color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"Acatitla", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"Santa Martha", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"Los Reyes", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},
{title:"La Paz", color: '#000', leftImage: 'lineaa.png', font: {fontSize:20}},

];

var table = Titanium.UI.createTableView(
	{data:data,
	 left: 10,
	 top: 80
	}
	//left: '20'
);

table.addEventListener("click", function(e){
	switch(e.index){
		case 0:
			var pantitlan = require('estaciones/pantitlan').pantitlan;
			navController.open(new pantitlan(navController));
			break;
		case 1:
			var agricola = require('estaciones/agricola').agricola;
			navController.open(new agricola(navController));
			break;
		case 2:
			var canaldesanjuan = require('estaciones/canaldesanjuan').canaldesanjuan;
			navController.open(new canaldesanjuan(navController));
			break;
		case 3:
			var tepalcates = require('estaciones/tepalcates').tepalcates;
			navController.open(new tepalcates(navController));
			break;
		case 4:
			var guelatao = require('estaciones/guelatao').guelatao;
			navController.open(new guelatao(navController));
			break;
		case 5:
			var penon = require('estaciones/penon').penon;
			navController.open(new penon(navController));
			break;
		case 6:
			var acatitla = require('estaciones/acatitla').acatitla;
			navController.open(new acatitla(navController));
			break;
		case 7:
			var santamartha = require('estaciones/santamartha').santamartha;
			navController.open(new santamartha(navController));
			break;
		case 8:
			var losreyes = require('estaciones/losreyes').losreyes;
			navController.open(new losreyes(navController));
			break;
		case 9:
			var lapaz = require('estaciones/lapaz').lapaz;
			navController.open(new lapaz(navController));
			break;
		
		}//end switch
	});//end addEventListener
win1.add(table);
return win1;
};