exports.linea4 = function(navController) {

var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Linea 4',
    backgroundColor: '#000',
    backgroundImage: 'a.png'
});


var etiqueta1 = Ti.UI.createLabel({
	top: 10,
	left: 10,
	text:'Origen: Santa Anita',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    //leftimage: 'linea.png'
});
win1.add(etiqueta1);

var etiqueta2 = Ti.UI.createLabel({
	top: 50,
	left: 10,
	text:'Destino : Martin Carrera',
    height:'auto',
    width:'auto',
    shadowColor:'#aaa',
    shadowOffset:{x:5,y:5},
    color:'#000',
    font:{fontSize:20},
    //textAlign:'center',
    leftimage: 'linea.png'
});
win1.add(etiqueta1);
win1.add(etiqueta2)

win1.activity.onCreateOptionsMenu = function(e) {
		var menu = e.menu;
		
		var m1 = menu.add({ title : 'Cerrar Ventana' });
		m1.addEventListener('click', function(e) {
			win1.close();
		});
	};

win1.activity.onPrepareOptionsMenu = function(e) {
		var menu = e.menu;
		
		var mi = menu.findItem(2);
		if (mi == null) {
			mi = menu.add({
				itemId : 2,
				order : 1,
				title : 'Mostrar Mapa Completo'
			});
			mi.addEventListener('click', function(e) {
				
				var linea4 = require('mapas/linea4').linea4;
				navController.open(new linea4(navController));
			});
		}
	};





var data = [
{title:"Santa Anita", color: '#000', leftImage: 'linea4.png', rightImage: 'linea8.png', font:{fontSize:20}},
{title:"Jamaica", color: '#000', leftImage: 'linea4.png', rightImage: 'linea9.png', font: {fontSize:20}},
{title:"Fray Servando", color: '#000', leftImage: 'linea4.png', font: {fontSize:20}},
{title:"Candelaria", color: '#000', leftImage: 'linea4.png', rightImage: 'linea1.png', font: {fontSize:20}},
{title:"Morelos", color: '#000', leftImage: 'linea4.png', rightImage: 'lineab.png', font: {fontSize:20}},
{title:"Canal del Norte",  color: '#000', leftImage: 'linea4.png', font: {fontSize:20}},
{title:"Consulado", color: '#000', leftImage: 'linea4.png', rightImage: 'linea5.png', font: {fontSize:20}},
{title:"Bondojito", color: '#000', leftImage: 'linea4.png', font: {fontSize:20}},
{title:"Talisman", color: '#000', leftImage: 'linea4.png', font: {fontSize:20}},
{title:"Martin Carrera", color: '#000', leftImage: 'linea4.png', rightImage: 'linea6.png', font: {fontSize:20}},

];

var table = Titanium.UI.createTableView(
	{data:data,
	 left: 10,
	 top: 80
	}
	//left: '20'
);

table.addEventListener("click", function(e){
	switch(e.index){
		case 0:
			var santaanita = require('estaciones/santaanita').santaanita;
			navController.open(new santaanita(navController));
			break;
		case 1:
			var jamaica = require('estaciones/jamaica').jamaica;
			navController.open(new jamaica(navController));
			break;
		case 2:
			var fray = require('estaciones/fray').fray;
			navController.open(new fray(navController));
			break;
		case 3:
			var candelaria = require('estaciones/candelaria').candelaria;
			navController.open(new candelaria(navController));
			break;
		case 4:
			var morelos = require('estaciones/morelos').morelos;
			navController.open(new morelos(navController));
			break;
		case 5:
			var canaldelnorte = require('estaciones/canaldelnorte').canaldelnorte;
			navController.open(new canaldelnorte(navController));
			break;
		case 5:
			var consulado = require('estaciones/consulado').consulado;
			navController.open(new consulado(navController));
			break;
		case 7:
			var bondojito= require('estaciones/bondojito').bondojito;
			navController.open(new bondojito(navController));
			break;
		case 8:
			var talisman = require('estaciones/talisman').talisman;
			navController.open(new talisman(navController));
			break;
		case 9:
			var martin = require('estaciones/martin').martin;
			navController.open(new martin(navController));
			break;

		
		}//end switch
	});//end addEventListener
win1.add(table);
return win1;
};