//create the window
exports.linea11 = function(navController) {
var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Mapa',
    backgroundColor: '#000',
    //backgroundImage: 'splash.png'
});
   
   var mapview = Titanium.Map.createView({
	top: 5,
	height: 650,
	mapType: Titanium.Map.STANDARD_TYPE,
	region:{
		latitude: 19.48977084487796, 
		longitude: -99.15602604808913, 
		latitudeDelta:0.5, 
		longitudeDelta:0.5},
	animate: true,
	regionFit: true,
	userLocation: true,
	zoom: 20
});

win1.add(mapview);

var annotation = Titanium.Map.createAnnotation({
	latitude: 19.446537,
    longitude: -99.153199,
	title: 'Buenavista',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L1, L5, L9'
});

var annotation2 = Titanium.Map.createAnnotation({
	latitude: 19.445141,
    longitude: -99.145372,
	title: 'Guerrero',
	image: 'lineab.png',
    subtitle: 'Correspondencia: L3',
});

var annotation3 = Titanium.Map.createAnnotation({
	latitude: 19.444428,
    longitude: -99.139761,
	title: 'Garibaldi / La Lagunilla',
	image: 'lineab.png',
	subtitle: 'Correspondencia: L8'
});

var annotation4 = Titanium.Map.createAnnotation({
	latitude: 19.443375,
    longitude: -99.131350,
	title: 'Lagunilla',
	image: 'lineab.png'
});

var annotation5 = Titanium.Map.createAnnotation({
	latitude: 19.442521,
    longitude: -99.123319,
	title: 'Tepito',
	image: 'lineab.png',
});

var annotation6 = Titanium.Map.createAnnotation({
	latitude: 19.438974,
    longitude: -99.118255,
	title: 'Morelos',
	image: 'lineab.png',
	subtitle: 'Correspondencia: L4'
});

var annotation7 = Titanium.Map.createAnnotation({
	latitude: 19.430273,
    longitude: -99.114801,
	title: 'San Lazaro',
	image: 'lineab.png',
	subtitle: 'Correspondencia: L1'
});

var annotation8 = Titanium.Map.createAnnotation({
	latitude: 19.436468,
    longitude: -99.103707,
	title: 'Flores Magon',
	image: 'lineab.png'
});


var annotation9 = Titanium.Map.createAnnotation({
	latitude: 19.440619,
    longitude: -99.094630,
	title: 'Romero Rubio',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation10 = Titanium.Map.createAnnotation({
	latitude: 19.445675,
	longitude: -99.087266,
	title: 'Oceania',
	image: 'lineab.png',
	subtitle: 'Correspondencia: L5'
});

var annotation11 = Titanium.Map.createAnnotation({
	latitude: 19.450963,
    longitude: -99.079417,
	title: 'Deportivo Oceania',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation12 = Titanium.Map.createAnnotation({
	latitude: 19.458105,
    longitude: -99.069257,
	title: 'Bosque de Aragon',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation13 = Titanium.Map.createAnnotation({
	latitude: 19.461686,
    longitude: -99.061317,
	title: 'Villa de Aragon',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation14 = Titanium.Map.createAnnotation({
	latitude: 19.473056,
    longitude: -99.054537,
	title: 'Nezahualcoyotl',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation15 = Titanium.Map.createAnnotation({
	latitude: 19.485718,
    longitude: -99.049035,
	title: 'Impulsora',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation16 = Titanium.Map.createAnnotation({
	latitude: 19.490908,
    longitude: -99.046597,
	title: 'Rio de los Remedios',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation17 = Titanium.Map.createAnnotation({
	latitude: 19.501704,
    longitude: -99.041968,
	title: 'Muzquiz',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation18 = Titanium.Map.createAnnotation({
	latitude: 19.515332,
    longitude: -99.035997,
	title: 'Ecatepec',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation19 = Titanium.Map.createAnnotation({
	latitude: 19.521318,
    longitude: -99.033380,
	title: 'Olimpica',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation20 = Titanium.Map.createAnnotation({
	latitude: 19.528498,
    longitude: -99.030172,
	title: 'Plaza Aragon',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});

var annotation21 = Titanium.Map.createAnnotation({
	latitude: 19.534575,
    longitude: -99.027479,
	title: 'Ciudad Azteca',
	image: 'lineab.png',
	//subtitle: 'Correspondencia: L3'
});


//Agregamos los puntos del GPS
mapview.addRoutePointLight(annotation);
mapview.addRoutePointLight(annotation2);
mapview.addRoutePointLight(annotation3);
mapview.addRoutePointLight(annotation4);
mapview.addRoutePointLight(annotation5);
mapview.addRoutePointLight(annotation6);
mapview.addRoutePointLight(annotation7);
mapview.addRoutePointLight(annotation8);
mapview.addRoutePointLight(annotation9);
mapview.addRoutePointLight(annotation10);
mapview.addRoutePointLight(annotation11);
mapview.addRoutePointLight(annotation12);
mapview.addRoutePointLight(annotation13);
mapview.addRoutePointLight(annotation14);
mapview.addRoutePointLight(annotation15);
mapview.addRoutePointLight(annotation16);
mapview.addRoutePointLight(annotation17);
mapview.addRoutePointLight(annotation18);
mapview.addRoutePointLight(annotation19);
mapview.addRoutePointLight(annotation20);
mapview.addRoutePointLight(annotation21);

mapview.updateRoute();
    
    //Trazamos las lineas
mapview.addAnnotationLight(annotation);
mapview.addAnnotationLight(annotation2);
mapview.addAnnotationLight(annotation3);
mapview.addAnnotationLight(annotation4);
mapview.addAnnotationLight(annotation5);
mapview.addAnnotationLight(annotation6);
mapview.addAnnotationLight(annotation7);
mapview.addAnnotationLight(annotation8);
mapview.addAnnotationLight(annotation9);
mapview.addAnnotationLight(annotation10);
mapview.addAnnotationLight(annotation11);
mapview.addAnnotationLight(annotation12);
mapview.addAnnotationLight(annotation13);
mapview.addAnnotationLight(annotation14);
mapview.addAnnotationLight(annotation15);
mapview.addAnnotationLight(annotation16);
mapview.addAnnotationLight(annotation17);
mapview.addAnnotationLight(annotation18);
mapview.addAnnotationLight(annotation19);
mapview.addAnnotationLight(annotation20);
mapview.addAnnotationLight(annotation21);


mapview.updateAnnotations();
    
   
    //win1.open();
    

return win1;
};